Pepvote Support Center

Export Positions

GET
/voting-events/{idOrCode}/exports/positions.csv

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Path Parameters

idOrCodestringrequired

Voting event ID or code.

Query Parameters

formatenum<string>

csv for a file download, json for records in the response body.

  • Default value: "csv"
  • Values:csv|json

Response Body

curl -X GET "https://example.com/voting-events/string/exports/positions.csv" \  -H "User-Agent: my-app/1.0"
{
  "data": [
    {
      "id": "string",
      "votingEventId": "string",
      "groupId": "string",
      "title": "string",
      "desc": "string",
      "votingMethod": "string",
      "tallyRule": {
        "type": "plurality_total",
        "seatCount": 1,
        "stvQuota": "droop",
        "bordaSchema": "zero_based"
      },
      "minSelections": 0,
      "maxSelections": 0,
      "scoreMin": 0,
      "scoreMax": 0,
      "cumulativePointBudget": 0,
      "quadraticBaseCreditBudget": 0,
      "quadraticAllowCreditTopUps": true,
      "quadraticMaxPurchasedCreditsPerVoter": 0,
      "createdAt": 0,
      "numOfCandidates": 0
    }
  ],
  "nextCursor": null
}
Was this helpful?

Last updated September 6, 2026